Package com.sun.jna.platform.win32

## Class WinNT.FILE_NOTIFY_INFORMATION

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.FILE_NOTIFY_INFORMATION

Enclosing interface:
  WinNT

    @FieldOrder({"NextEntryOffset","Action","FileNameLength","FileName"})
    public static class WinNT.FILE_NOTIFY_INFORMATION
    extends Structure

The FILE_NOTIFY_INFORMATION structure describes the changes found by the ReadDirectoryChangesW function. This structure is non-trivial since it is a pattern stamped into a large block of result memory rather than something that stands alone or is used for input.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `Action`
`char[]` `FileName`
`int` `FileNameLength`
`int` `NextEntryOffset`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`FILE_NOTIFY_INFORMATION​(int size)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getFilename()` WARNING: this filename may be either the short or long form of the filename.
`WinNT.FILE_NOTIFY_INFORMATION` `next()`
`void` `read()` Reads the fields of the struct from native memory

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NextEntryOffset

    public int NextEntryOffset

#### Action

    public int Action

#### FileNameLength

    public int FileNameLength

#### FileName

    public char[] FileName

### Constructor Detail

#### FILE_NOTIFY_INFORMATION

    public FILE_NOTIFY_INFORMATION​(int size)

### Method Detail

#### getFilename

    public java.lang.String getFilename()

WARNING: this filename may be either the short or long form of the filename.

Returns:
  filename

#### read

    public void read()

Description copied from class: `Structure`
Reads the fields of the struct from native memory

Overrides:
  `read` in class `Structure`

#### next

    public WinNT.FILE_NOTIFY_INFORMATION next()